OpenZWave Library: OpenZWave::ValueLocalizationEntry Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OpenZWave::ValueLocalizationEntry Class Reference

`#include <Localization.h>`

Inheritance diagram for OpenZWave::ValueLocalizationEntry:

## Public Member Functions
| ValueLocalizationEntry (uint8 _commandClass, uint16 _index, uint32 _pos=-1)
| ~ValueLocalizationEntry ()
uint64 | GetIdx ()
string | GetHelp (string lang)
void | AddHelp (string HelpText, string lang="")
bool | HasHelp (string lang)
string | GetLabel (string lang)
void | AddLabel (string Label, string lang="")
bool | HasLabel (string lang)
void | AddItemLabel (string label, int32 itemIndex, string lang="")
string | GetItemLabel (string lang, int32 itemIndex)
bool | HasItemLabel (int32 itemIndex, string lang)
void | AddItemHelp (string label, int32 itemIndex, string lang="")
string | GetItemHelp (string lang, int32 itemIndex)
bool | HasItemHelp (int32 itemIndex, string lang)
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()

## Constructor & Destructor Documentation

## ◆ ValueLocalizationEntry()

ValueLocalizationEntry::ValueLocalizationEntry | ( | uint8 | _commandClass,
|  | uint16 | _index,
|  | uint32 | _pos = `-1`
| ) |  |

## ◆ ~ValueLocalizationEntry()

OpenZWave::ValueLocalizationEntry::~ValueLocalizationEntry | ( |  | ) |
| inline

## Member Function Documentation

## ◆ AddHelp()

void ValueLocalizationEntry::AddHelp | ( | string | HelpText,
|  | string | lang = `""`
| ) |  |

## ◆ AddItemHelp()

void ValueLocalizationEntry::AddItemHelp | ( | string | label,
|  | int32 | itemIndex,
|  | string | lang = `""`
| ) |  |

## ◆ AddItemLabel()

void ValueLocalizationEntry::AddItemLabel | ( | string | label,
|  | int32 | itemIndex,
|  | string | lang = `""`
| ) |  |

## ◆ AddLabel()

void ValueLocalizationEntry::AddLabel | ( | string | Label,
|  | string | lang = `""`
| ) |  |

## ◆ GetHelp()

string ValueLocalizationEntry::GetHelp | ( | string | lang | ) |

## ◆ GetIdx()

uint64 ValueLocalizationEntry::GetIdx | ( |  | ) |

## ◆ GetItemHelp()

string ValueLocalizationEntry::GetItemHelp | ( | string | lang,
|  | int32 | itemIndex
| ) |  |

## ◆ GetItemLabel()

string ValueLocalizationEntry::GetItemLabel | ( | string | lang,
|  | int32 | itemIndex
| ) |  |

## ◆ GetLabel()

string ValueLocalizationEntry::GetLabel | ( | string | lang | ) |

## ◆ HasHelp()

bool ValueLocalizationEntry::HasHelp | ( | string | lang | ) |

## ◆ HasItemHelp()

bool ValueLocalizationEntry::HasItemHelp | ( | int32 | itemIndex,
|  | string | lang
| ) |  |

## ◆ HasItemLabel()

bool ValueLocalizationEntry::HasItemLabel | ( | int32 | itemIndex,
|  | string | lang
| ) |  |

## ◆ HasLabel()

bool ValueLocalizationEntry::HasLabel | ( | string | lang | ) |

The documentation for this class was generated from the following files:

- Localization.h
- Localization.cpp